### Signal

# Gtk DragSource::drag-begin

#### Declaration

    void
    drag_begin (
      GtkDragSource* self,
      GdkDrag* drag,
      gpointer user_data
    )

#### Description [src]

Emitted on the drag source when a drag is started.

It can be used to e.g. set a custom drag icon with `gtk_drag_source_set_icon()`.

Default handler: The default handler is called after the handlers added via `g_signal_connect()`.

#### Parameters

`drag`

  Type: `GdkDrag`

  The `GdkDrag` object.

  The data is owned by the caller of the function.